<?
/*
Plugin Name: Слайдер анонсов
Description: Плагин выводит блок с анонсами на главной странице, что бы плагин выводилса вставляем в шаблон <b>{$box_anons}</b>, для работы плагина должена быть подключена библиотека <b>jquery</b>
Author: Ярослав <b>ZAP</b> (сайт спонсора плагина)
Author URI: http://www.leodim.com.ua/
Version: 1.1
*/
add_filter('head_array_detail', 'head_array_detail_anons');

define('TABLE_ANONSES', DB_PREFIX.'anons_anonses');
define('TABLE_ANONSES_DESC', DB_PREFIX.'anons_anonses_desc');

add_action('main_page_admin', 'anons_admin');
add_action('main_page_admin', 'anons_add');
add_action('main_page_admin', 'anons_prew');
add_action('main_page_admin', 'anons_thumb');
add_action('main_page_admin', 'anons_del');

add_action('box', 'box_anons');

function head_array_detail_anons($_value)
{
   add_js( plugurl().'style/anons.js', $_value, 'anons');
   add_style( plugurl().'style/anons.css', $_value, 'anons');
   return $_value;
}

function anons_del()
{
      require(dirname(__FILE__).'/delete.php');
}
function anons_thumb()
{
      require(dirname(__FILE__).'/thumb.php');
}
function anons_prew()
{
      require(dirname(__FILE__).'/prew.php');
}
function anons_admin()
{
      require(dirname(__FILE__).'/admin.php');
}
function anons_add()
{
      require(dirname(__FILE__).'/add_anons.php');
}


function anons_install()
{
    os_db_query("drop table if exists ".TABLE_ANONSES."");

    os_db_query("CREATE TABLE `".TABLE_ANONSES."` (
      `aid` int(10) NOT NULL auto_increment,
      `date` datetime default NULL,
      `image` varchar(255) NOT NULL,
      `url` varchar(255) NOT NULL,
      PRIMARY KEY  (`aid`)
      ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;");

    os_db_query("drop table if exists ".TABLE_ANONSES_DESC."");

    os_db_query("CREATE TABLE `".TABLE_ANONSES_DESC."` (
      `aid` int(10) NOT NULL,
      `language_id` int(11) NOT NULL default '1',
      `name1` varchar(255) NOT NULL,
      `name2` varchar(255) NOT NULL,
      `description` text NOT NULL,
      PRIMARY KEY  (`aid`,`language_id`),
      KEY `name1` (`name1`)
      ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_general_ci;");

    if(is_dir (dir_path('images')."anons/")){}else{
     mkdir(dir_path('images')."anons/", 0777);
    }

    add_option('anons_button', '', 'readonly');
    add_option('anons_add_button', '', 'readonly');
}
function anons_button_readonly()
{
	 _e('<center>'.add_button('main_page', 'anons_admin', 'Управление' ).'</center>');
}
function anons_add_button_readonly()
{
	 _e('<center>'.add_button('main_page', 'anons_add', 'Добавить анонс' ).'</center>');
}
function box_anons()

{
    include(plugdir().'lang/'.$_SESSION['language'].'.php');
    global $osTemplate;
    $box = new osTemplate;
    $path = dir_path('images')."anons/";
    $path_http = http_path('images')."anons/";
    $an_query = os_db_query("SELECT a.aid,
                                    a.date,
                                    a.image,
                                    a.url,
                                    b.aid,
                                    b.name1,
                                    b.name2,
                                    b.description
                                    FROM ".TABLE_ANONSES." AS a,
                                    ".TABLE_ANONSES_DESC." AS b
                                    WHERE a.aid = b.aid
                                    AND b.language_id='".$_SESSION['languages_id']."'
                                    ORDER BY a.date DESC LIMIT 5
                                    ");
    $anons = array();
    while ($an_query_data = os_db_fetch_array($an_query)){

     $anons[]=array(
                      'DATE' => os_date_short($an_query_data['date']),
                      'NAME_SMALL' => $an_query_data['name1'],
                      'NAME_BIG' => $an_query_data['name2'],
                      'IMAGE' => $path_http.$an_query_data['image'],
                      'IMAGE_SMALL' => $path_http."th_".$an_query_data['image'],
                      'DESC' => strip_tags($an_query_data['description']),
                      'URL' => $an_query_data['url'],
                      'MORE' => ANS_MORE_TITLE);
    }


   $box->assign('anons',$anons);

   $box->template_dir = plugdir();
   $_box_value = $box->fetch('box_anons.html');
   $osTemplate->assign('box_anons', $_box_value);

}
?>